Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wfs.capabilities
Class WFSCapabilities

    java.lang.Object
      org.deegree.ogcwebservices.getcapabilities.OGCCapabilities
          org.deegree.owscommon.OWSCommonCapabilities
              org.deegree.ogcwebservices.wfs.capabilities.WFSCapabilities

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  WFSConfiguration

    public class WFSCapabilities

extends OWSCommonCapabilities

Represents the capabilities of an OGC-WFS 1.1.0 compliant service instance.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Markus Schneider , last edited by: $Author: mschneider $
See Also:
  Serialized Form

Constructor Summary
`WFSCapabilities(String version, String updateSequence, ServiceIdentification serviceIdentification, ServiceProvider serviceProvider, OperationsMetadata operationsMetadata, FeatureTypeList featureTypeList, GMLObject[] servesGMLObjectTypeList, GMLObject[] supportsGMLObjectTypeList, Contents contents, FilterCapabilities filterCapabilities)` Generates a new WFSCapabilities instance from the given parameters.

Method Summary
`static OGCCapabilities` | `createCapabilities(URL url)` Creates WFSCapabilities from a URL.
`FeatureTypeList` | `getFeatureTypeList()`
`FilterCapabilities` | `getFilterCapabilities()` Returns the FilterCapabilites section of the capabilities.
`GMLObject[]` | `getServesGMLObjectTypeList()`
`GMLObject[]` | `getSupportsGMLObjectTypeList()`
`void` | `setFeatureTypeList(FeatureTypeList featureTypeList)`
`void` | `setServesGMLObjectTypeList(GMLObject[] servesGMLObjectTypeList)`
`void` | `setSupportsGMLObjectTypeList(GMLObject[] supportsGMLObjectTypeList)`

Methods inherited from class org.deegree.owscommon.OWSCommonCapabilities
`getContents, getOperationsMetadata, getServiceIdentification, getServiceProvider, setContents, setOperationsMetadata, setServiceIdentification, setServiceProvider`

Methods inherited from class org.deegree.ogcwebservices.getcapabilities.OGCCapabilities
`getUpdateSequence, getVersion, setUpdateSequence, setVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WFSCapabilities

    public WFSCapabilities(String version,
                           String updateSequence,
                           ServiceIdentification serviceIdentification,
                           ServiceProvider serviceProvider,
                           OperationsMetadata operationsMetadata,
                           FeatureTypeList featureTypeList,
                           GMLObject[] servesGMLObjectTypeList,
                           GMLObject[] supportsGMLObjectTypeList,
                           Contents contents,
                           FilterCapabilities filterCapabilities)

  Generates a new WFSCapabilities instance from the given parameters.

  Parameters:
    `version` -
    `updateSequence` -
    `serviceIdentification` -
    `serviceProvider` -
    `operationsMetadata` -
    `featureTypeList` -
    `servesGMLObjectTypeList` -
    `supportsGMLObjectTypeList` -
    `contents` - TODO field not verified! Check spec.
    `filterCapabilities` -

Method Detail

### createCapabilities

    public static OGCCapabilities createCapabilities(URL url)
                                              throws IOException,
                                                     SAXException,
                                                     InvalidCapabilitiesException

  Creates WFSCapabilities from a URL.

  Parameters:
    `url` - location of the capabilities file
  Returns:
    catalog capabilities
  Throws:
    `IOException`
    `SAXException`
    `InvalidCapabilitiesException`

### getFilterCapabilities

    public FilterCapabilities getFilterCapabilities()

  Returns the FilterCapabilites section of the capabilities.

  Returns:
    the FilterCapabilites section of the capabilities.

### getFeatureTypeList

    public FeatureTypeList getFeatureTypeList()

  Returns:
    Returns the featureTypeList.

### setFeatureTypeList

    public void setFeatureTypeList(FeatureTypeList featureTypeList)

  Parameters:
    `featureTypeList` - The featureTypeList to set.

### getServesGMLObjectTypeList

    public GMLObject[] getServesGMLObjectTypeList()

  Returns:
    Returns the servesGMLObjectTypeList.

### setServesGMLObjectTypeList

    public void setServesGMLObjectTypeList(GMLObject[] servesGMLObjectTypeList)

  Parameters:
    `servesGMLObjectTypeList` - The servesGMLObjectTypeList to set.

### getSupportsGMLObjectTypeList

    public GMLObject[] getSupportsGMLObjectTypeList()

  Returns:
    Returns the supportsGMLObjectTypeList.

### setSupportsGMLObjectTypeList

    public void setSupportsGMLObjectTypeList(GMLObject[] supportsGMLObjectTypeList)

  Parameters:
    `supportsGMLObjectTypeList` - The supportsGMLObjectTypeList to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org